    Return the data used to create the fit plot.

get_fit_plot(id=None, recalc=True)
id - int or str, optional
recalc - bool, optional

Create the data needed to create the "fit plot" for the default data set and display it:

>>> fplot = get_fit_plot() >>> print(fplot)

Return the plot data for data set 2, and then use it to create a plot:

>>> f2 = get_fit_plot(2) >>> f2.plot()

The fit plot consists of a combination of a data plot and a model plot, which are captured in the `dataplot` and `modelplot`

attributes of the return value. These can be used to display the plots individually, such as:

>>> f2.dataplot.plot() >>> f2.modelplot.plot()

or, to combine the two:

>>> f2.dataplot.plot() >>> f2.modelplot.overplot()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .
recalc
If False then the results from the last call to

`plot_fit` (or `get_fit_plot` ) are returned, otherwise the data is re-generated.

The return value from this function is:

data -- An object representing the data used to create the plot by

`plot_fit` . It contains the data from `get_data_plot`

and `get_model_plot` in the dataplot and modelplot

attributes.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023